# This brings the proxy pass outside of the default-sll.conf file.
# The include statement for this is at the end of that file.
# These are interpreted in order.

RequestHeader append X-Forwarded-Prefix /api
TimeOut 120

ProxyPass /api/folders http://heaserver-folders:8086/folders
ProxyPassReverse /api/folders http://heaserver-folders:8086/folders

ProxyPass /api/organizations http://heaserver-organizations:8087/organizations
ProxyPassReverse /api/organizations http://heaserver-organizations:8087/organizations

ProxyPass /api/components http://heaserver-registry:8080/components
ProxyPassReverse /api/components http://heaserver-registry:8080/components

ProxyPass /api/collections http://heaserver-registry:8080/collections
ProxyPassReverse /api/collections http://heaserver-registry:8080/collections

ProxyPass /api/filesystems http://heaserver-volumes:8080/filesystems
ProxyPassReverse /api/filesystems http://heaserver-volumes:8080/filesystems

ProxyPass /api/awsaccounts http://heaserver-accounts:8080/awsaccounts
ProxyPassReverse /api/awsaccounts http://heaserver-accounts:8080/awsaccounts

ProxyPass /api/accounts http://heaserver-accounts:8080/accounts
ProxyPassReverse /api/accounts http://heaserver-accounts:8080/accounts

ProxyPassMatch "^/api/(volumes/.*/awsaccounts.*)" http://heaserver-accounts:8080/$1
ProxyPassReverse "^/api/(volumes/.*/awsaccounts.*)" http://heaserver-accounts:8080/$1

ProxyPassMatch "^/api/(volumes/.*/awss3folders.*)" http://heaserver-folders-aws-s3:8080/$1
ProxyPassReverse "^/api/(volumes/.*/awss3folders.*)" http://heaserver-folders-aws-s3:8080/$1

ProxyPassMatch "^/api/(volumes/.*/awss3projects.*)" http://heaserver-folders-aws-s3:8080/$1
ProxyPassReverse "^/api/(volumes/.*/awss3projects.*)" http://heaserver-folders-aws-s3:8080/$1

ProxyPassMatch "^/api/(volumes/.*/awss3files.*)" http://heaserver-folders-aws-s3:8080/$1
ProxyPassReverse "^/api/(volumes/.*/awss3files.*)" http://heaserver-folders-aws-s3:8080/$1

ProxyPassMatch "^/api/(volumes/.*/awss3objects.*)" http://heaserver-folders-aws-s3:8080/$1
ProxyPassReverse "^/api/(volumes/.*/awss3objects.*)" http://heaserver-folders-aws-s3:8080/$1

ProxyPassMatch "^/api/(volumes/.*/awss3trash.*)" http://heaserver-folders-aws-s3:8080/$1
ProxyPassReverse "^/api/(volumes/.*/awss3trash.*)" http://heaserver-folders-aws-s3:8080/$1

ProxyPassMatch "^/api/(volumes/.*/bucket.*)" http://heaserver-buckets:8080/$1
ProxyPassReverse "^/api/(volumes/.*/bucket.*)" http://heaserver-buckets:8080/$1

ProxyPassMatch "^/api/(volumes/.*/awss3storage.*)" http://heaserver-folders-aws-s3:8080/$1
ProxyPassReverse "^/api/(volumes/.*/awss3storage.*)" http://heaserver-folders-aws-s3:8080/$1

ProxyPass /api/volumes http://heaserver-volumes:8080/volumes
ProxyPassReverse /api/volumes http://heaserver-volumes:8080/volumes

ProxyPass /api/keychain http://heaserver-keychain:8080/keychain
ProxyPassReverse /api/keychain http://heaserver-keychain:8080/keychain

ProxyPass /api/people http://heaserver-people:8080/people
ProxyPassReverse /api/people http://heaserver-people:8080/people

ProxyPass /api/roles http://heaserver-people:8080/roles
ProxyPassReverse /api/roles http://heaserver-people:8080/roles

ProxyPass /api/groups http://heaserver-people:8080/groups
ProxyPassReverse /api/groups http://heaserver-people:8080/groups

ProxyPass /api/credentialsviews http://heaserver-keychain:8080/credentialsviews
ProxyPassReverse /api/credentialsviews http://heaserver-keychain:8080/credentialsviews

ProxyPass /api/credentials http://heaserver-keychain:8080/credentials
ProxyPassReverse /api/credentials http://heaserver-keychain:8080/credentials

ProxyPass /api/awscredentials http://heaserver-keychain:8080/awscredentials
ProxyPassReverse /api/awscredentials http://heaserver-keychain:8080/awscredentials

ProxyPass /api/desktopobjectactions http://heaserver-activity:8080/desktopobjectactions
ProxyPassReverse /api/desktopobjectactions http://heaserver-activity:8080/desktopobjectactions

ProxyPass /api/recentlyaccessedviews http://heaserver-activity:8080/recentlyaccessedviews
ProxyPassReverse /api/recentlyaccessedviews http://heaserver-activity:8080/recentlyaccessedviews

ProxyPass /api/desktopobjectsummaryviews http://heaserver-activity:8080/desktopobjectsummaryviews
ProxyPassReverse /api/desktopobjectsummaryviews http://heaserver-activity:8080/desktopobjectsummaryviews

ProxyPass /api/settings http://heaserver-settings:8080/settings
ProxyPassReverse /api/settings http://heaserver-settings:8080/settings

ProxyPass /ws/desktopobjectactionslistener ws://heaserver-activity:8080/desktopobjectactionsupdatelistener upgrade=websocket
ProxyPassReverse /ws/desktopobjectactionslistener ws://heaserver-activity:8080/desktopobjectactionsupdatelistener

AllowEncodedSlashes NoDecode
ProxyPass /rabbitmq/api http://rabbitmq:15672/api nocanon
ProxyPass /rabbitmq http://rabbitmq:15672
ProxyPassReverse /rabbitmq http://rabbitmq:15672

ProxyPass / http://heawebclient:3000/
ProxyPassReverse / http://heawebclient:3000/
